<script>
import workflow from '@/views/agent/views/workflow/index.vue'

export default {
  components: {
    workflow
  },
  props: {
    thirdAppId: {
      type: String,
      default: ''
    }
  },
  name: 'dify',
  data() {
    return {
      appId: '',
      agent: {
        src: '/dify'
      }
    }
  },
  created() {
    this.appId = this.$route.query.thirdAppId
      ? this.$route.query.thirdAppId
      : this.thirdAppId
  }
}
</script>

<template>
  <workflow :thirdAppId="appId"></workflow>
</template>

<style lang="scss" scoped></style>
